Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.terminal
Class ColorHelper

    java.lang.Object
      com.sshtools.daemon.terminal.ColorHelper

public class ColorHelper
extends java.lang.Object

DOCUMENT ME!

Field Summary
`static java.lang.String` | `BLACK` DOCUMENT ME!
`static java.lang.String` | `BLINK` DOCUMENT ME!
`static java.lang.String` | `BLINK_OFF` DOCUMENT ME!
`static java.lang.String` | `BLUE` DOCUMENT ME!
`static java.lang.String` | `BOLD` DOCUMENT ME!
`static java.lang.String` | `BOLD_OFF` DOCUMENT ME!
`static java.lang.String` | `CYAN` DOCUMENT ME!
`static java.lang.String` | `GREEN` DOCUMENT ME!
`static java.lang.String` | `INTERNAL_MARKER` DOCUMENT ME!
`static java.lang.String` | `ITALIC` DOCUMENT ME!
`static java.lang.String` | `ITALIC_OFF` DOCUMENT ME!
`static java.lang.String` | `MAGENTA` DOCUMENT ME!
`static int` | `MARKER_CODE` DOCUMENT ME!
`static java.lang.String` | `RED` DOCUMENT ME!
`static java.lang.String` | `RESET_ALL` DOCUMENT ME!
`static java.lang.String` | `UNDERLINED` DOCUMENT ME!
`static java.lang.String` | `UNDERLINED_OFF` DOCUMENT ME!
`static java.lang.String` | `white` DOCUMENT ME!
`static java.lang.String` | `YELLOW` DOCUMENT ME!

Constructor Summary
`ColorHelper()`

Method Summary
`static java.lang.String` | `blinkingText(java.lang.String str)`
`static java.lang.String` | `boldcolorizeText(java.lang.String str, java.lang.String color)`
`static java.lang.String` | `boldcolorizeText(java.lang.String str, java.lang.String fgc, java.lang.String bgc)`
`static java.lang.String` | `boldText(java.lang.String str)`
`static java.lang.String` | `colorizeBackground(java.lang.String str, java.lang.String color)`
`static java.lang.String` | `colorizeText(java.lang.String str, java.lang.String color)` DOCUMENT ME!
`static java.lang.String` | `colorizeText(java.lang.String str, java.lang.String fgc, java.lang.String bgc)`
`static long` | `getVisibleLength(java.lang.String str)`
`static java.lang.String` | `italicText(java.lang.String str)`
`static java.lang.String` | `underlinedText(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERNAL_MARKER

    public static final java.lang.String INTERNAL_MARKER

  DOCUMENT ME!

  See Also:
    Constant Field Values

### MARKER_CODE

    public static final int MARKER_CODE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BLACK

    public static final java.lang.String BLACK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### RED

    public static final java.lang.String RED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### GREEN

    public static final java.lang.String GREEN

  DOCUMENT ME!

  See Also:
    Constant Field Values

### YELLOW

    public static final java.lang.String YELLOW

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BLUE

    public static final java.lang.String BLUE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### MAGENTA

    public static final java.lang.String MAGENTA

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CYAN

    public static final java.lang.String CYAN

  DOCUMENT ME!

  See Also:
    Constant Field Values

### white

    public static final java.lang.String white

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BOLD

    public static final java.lang.String BOLD

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BOLD_OFF

    public static final java.lang.String BOLD_OFF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ITALIC

    public static final java.lang.String ITALIC

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ITALIC_OFF

    public static final java.lang.String ITALIC_OFF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### UNDERLINED

    public static final java.lang.String UNDERLINED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### UNDERLINED_OFF

    public static final java.lang.String UNDERLINED_OFF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BLINK

    public static final java.lang.String BLINK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BLINK_OFF

    public static final java.lang.String BLINK_OFF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### RESET_ALL

    public static final java.lang.String RESET_ALL

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### ColorHelper

    public ColorHelper()

Method Detail

### colorizeText

    public static java.lang.String colorizeText(java.lang.String str,
                                                java.lang.String color)

  DOCUMENT ME!

  Parameters:
    `str` - DOCUMENT ME!
    `color` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### colorizeBackground

    public static java.lang.String colorizeBackground(java.lang.String str,
                                                      java.lang.String color)

### colorizeText

    public static java.lang.String colorizeText(java.lang.String str,
                                                java.lang.String fgc,
                                                java.lang.String bgc)

### boldcolorizeText

    public static java.lang.String boldcolorizeText(java.lang.String str,
                                                    java.lang.String color)

### boldcolorizeText

    public static java.lang.String boldcolorizeText(java.lang.String str,
                                                    java.lang.String fgc,
                                                    java.lang.String bgc)

### boldText

    public static java.lang.String boldText(java.lang.String str)

### italicText

    public static java.lang.String italicText(java.lang.String str)

### underlinedText

    public static java.lang.String underlinedText(java.lang.String str)

### blinkingText

    public static java.lang.String blinkingText(java.lang.String str)

### getVisibleLength

    public static long getVisibleLength(java.lang.String str)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD